import 'package:flutter/material.dart';
import 'package:satu/shared/app_colors.dart';
import 'package:satu/shared/ui_helpers.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class CombineDock extends StatelessWidget {
  const CombineDock({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        verticalSpaceSmall,
        const Padding(
          padding: EdgeInsets.symmetric(horizontal: 15, vertical: 8.0),
          child: Text(
            'Расчет',
            style: TextStyle(fontSize: 12, color: placeholderColor),
          ),
        ),
        Container(
          decoration: const BoxDecoration(
            color: whiteColor,
          ),
          child: Column(
            children: [
              Padding(
                padding: const EdgeInsets.all(15.0),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: const [
                    Text(
                      'К оплате',
                      style: TextStyle(
                        fontSize: 14,
                      ),
                    ),
                    Text(
                      '1200 ₸',
                      style: TextStyle(fontSize: 20),
                    ),
                  ],
                ),
              ),
              const Divider(
                height: 1,
                color: disableColor,
              ),
              Padding(
                padding:
                    const EdgeInsets.symmetric(horizontal: 15, vertical: 10),
                child: Column(
                  children: [
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: const [
                        Text(
                          'Банковская карта',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                        Text(
                          '1200 ₸',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                      ],
                    ),
                    verticalSpaceSmall,
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: const [
                        Text(
                          'Наличными',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                        Text(
                          '0 ₸',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                      ],
                    ),
                    verticalSpaceSmall,
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: const [
                        Text(
                          'Сдача',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                        Text(
                          '0 ₸',
                          style:
                              TextStyle(fontSize: 12, color: placeholderColor),
                        ),
                      ],
                    )
                  ],
                ),
              ),
            ],
          ),
        )
      ],
    );
  }
}
